
# --------------------------------------
#   hx711_board
#   65f69730da945356canv
__canvas_id__ = '65f69730da945356'
# __version__ = TODO: add this
# --------------------------------------
from floe import FP

from NeoPixel import NeoPixel
from ESP32Core import ESP32Core
from HbtLed import HbtLed
from Hx711 import Hx711
from CANBus import CANBus
from DigitalInput import DigitalInput
from DigitalOutput import DigitalOutput
def setup(iris):
  CANBus(name='CANBus', pid=6545, rx=16, tx=4, adr=24, bus=0, baud=250000, rx_queue=25, terminal_debug=False, debug=False, active=True, bcast=False, iris=iris)
  DigitalInput(name='a', pid=12156, pin=22, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='b', pid=52824, pin=21, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='function_button', pid=2276, pin=36, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalOutput(name='can_slp', pid=11397, pin=2, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  ESP32Core(name='ESP32Core', pid=6074, wifi=False, hbt_led=FP(50487), neo_status=FP(47403), function_button=FP(2276), bus=FP(6545), zorg=None, webserver=None, debug=False, active=True, bcast=False, iris=iris)
  HbtLed(name='HbtLed', pid=50487, pin=5, delay=1000, datatype="int", debug=False, active=True, bcast=False, iris=iris)
  Hx711(name='Hx711', pid=27668, d_out=19, pd_sck=18, channel='CHANNEL_A_128', tare=FP(12156), datatype="float", debug=False, active=True, bcast=True, iris=iris)
  NeoPixel(name='neo_status', pid=47403, pin=17, number_of_pixels=1, animation=0, delay=200, animations=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  iris.add_hots({})

